from typing import (
    Any,
    List,
    Optional,
)


class Key(object):

    name: str = ""
    values: List[Any] = []

    def __init__(
        self,
        name: str,
        values: Optional[List[Any]] = None,
    ) -> None:

        self.name = name
        self.values = values or []

    def value(
        self,
    ) -> Any:

        return self.values[0] if self.values else None
